Bug 254138 - Mozilla Firefox 2.0.0.6 double free
Mozilla Firefox 2.0.0.6 double free
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 08:54 EDT by Peter Kovář
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 15:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash in gtk2drawing.c:555 (14.81 KB, text/plain)
2007-08-24 08:54 EDT, Peter Kovář
no flags Details

  None (edit)
Description Peter Kovář 2007-08-24 08:54:11 EDT
Description of problem:
gtk2drawing.c:555

Invalid pointer tmp_indicator_spacing freed in
moz_gtk_option_menu_get_metrics(gboolean* interior_focus,
                                GtkRequisition* indicator_size,
                                GtkBorder* indicator_spacing,
                                gint* focus_width,
                                gint* focus_pad)

   g_free(tmp_indicator_spacing);

Version-Release number of selected component (if applicable):
firefox-2.0.0.6-3.fc8.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Edit -> Preferences -> Content
  
Additional info:
See attached log
Comment 1 Peter Kovář 2007-08-24 08:54:11 EDT
Created attachment 172408 [details]
crash in gtk2drawing.c:555
Comment 2 Peter Kovář 2007-09-07 15:26:20 EDT
This strange bug was triggered by old theme I was using.

Note You need to log in before you can comment on or make changes to this bug.